**Background**  

Syrostan project aims to test the quality and find out potential problems of the [sinara project hardwares](https://github.com/sinara-hw) manufactured by the factory. A lever is used to fix the cards and probe necessary test points through pogo pins. The document gives a guide on how to order these tailor-made levers for each card (taking DIO-SMA as an example) from Taobao.  
<br/>  
**Basic information**

* Taobao shop: [深圳市精创新科技](http://shop585136636.world.taobao.com/?spm=a312a.7700824.0.0.21af3ab6wcDDYg)  
* Item link: [测试架PCB测试架工装PCB测试治具定做夹具模块FPC测试架测试夹具](https://item.taobao.com/item.htm?spm=a1z09.2.0.0.66bc2e8dwKPAtD&id=631370129669&_u=p2evd2ohc9c7)  
* Need ~1 week for manufacturing  
* Price mainly based on numbers of test points (need to confirm with the manufacturer, for the DIO-SMA case, they charged 400RMB for 60 test points)  
* Ask them to ship to HK directly using SF-express (weight ~5kg, shipping fee 70~120HKD)  
<br/>  

**Documents needed**



1. Altium Designer PCB project file (available on [https://github.com/sinara-hw](https://github.com/sinara-hw))

    ![alt_text](images/image1.png "image_tooltip")


2. Photos of the actual card with marks to specify where the test points are. 

    ![alt_text](images/image2.jpg "image_tooltip")

    ![alt_text](images/image3.jpg "image_tooltip")


3. Specify the shapes of the test points if necessary (especially for special shapes), such as holes, pads, holes with solder, pins of components, etc. 
4. Specify which holes can be used to support the board (for DIO case, 4 screw holes are used)
5. The 3D cad file and photo of the Syronstan PCB (to show them the positions of screw holes)

    Cad file could be exported from [https://git.m-labs.hk/sinara-hw/Syrostan-HW](https://git.m-labs.hk/sinara-hw/Syrostan-HW) 

    ![alt_text](images/image4.png "image_tooltip")

    ![alt_text](images/image5.jpg "image_tooltip")  
<br/>  


      


**Ordering steps**



1. Contact their customer service directly, providing them with the following: 
2. Pogo pins will occupy 15MM of inner space of the base box. A total height of 100MM should be enough to place the Syrostan board. 
3. Can ask them to add necessary buttons on the panel, especially one for detecting the pressing. 

    ![alt_text](images/image6.png "image_tooltip")


4. Can ask for a dxf file of the holes on the acrylic they manufactured to import to KiCad for the extension PCB board. 

    ![alt_text](images/image7.jpg "image_tooltip")


5. Ask them to take a video preview before shipping to us. 
6. Extension board can refer to this example for DIO-SMA. [https://git.m-labs.hk/sinara-hw/Syrostan-Ext-DIO](https://git.m-labs.hk/sinara-hw/Syrostan-Ext-DIO) 
7. The pogo pins are standard 2.54mm dupont pins. Connect the pogo pins and extension board with general female dupont connectors. 

    [https://item.taobao.com/item.htm?spm=a230r.1.14.169.c34a7ce20iwqaE&id=623728174926&ns=1&abbucket=1#detail](https://item.taobao.com/item.htm?spm=a230r.1.14.169.c34a7ce20iwqaE&id=623728174926&ns=1&abbucket=1#detail) 

    ![alt_text](images/image8.jpg "image_tooltip")

